import * as _nextui_org_system from '@nextui-org/system';
import { HTMLNextUIProps } from '@nextui-org/system';
import { AriaToggleButtonProps } from '@nextui-org/use-aria-toggle-button';
import { ReactNode } from 'react';

interface Props extends Omit<HTMLNextUIProps<"button">, keyof AriaToggleButtonProps> {
    /**
     * The value of the input element, used when submitting an HTML form. See [MDN](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input#htmlattrdefvalue).
     */
    value?: string;
    /**
     * Text to display for screen readers.
     * @default open/close navigation menu
     */
    srOnlyText?: string;
    /**
     * The icon to display.
     */
    icon?: ReactNode | ((isOpen: boolean | undefined) => ReactNode) | null;
}
type NavbarMenuToggleProps = Props & AriaToggleButtonProps;
declare const NavbarMenuToggle: _nextui_org_system.ComponentWithAs<"button", NavbarMenuToggleProps>;

export { NavbarMenuToggleProps, Props, NavbarMenuToggle as default };
